Bug 111906 - anaconda error with existing Solaris partion on disk
anaconda error with existing Solaris partion on disk
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-11 10:15 EST by Burton Strauss
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 09:00:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Burton Strauss 2003-12-11 10:15:23 EST
Description of problem:

Attempting to install Fedora Core 1 onto a disk with multiple 
existing operating systems, one of which is Solaris.

e.g. /dev/hda1 - Windows 2K
     /dev/hda2 - Solaris
     /dev/hda3 - extended container
     /dev/hda5 - RedHat 7.3
     /dev/hda6 - swap
     /dev/hda7 ... other Linux
     /dev/hda15 - free space for Fedora

Anaconda detects the Solaris partition as an unformated Linux Swap 
(they both share the same #) and offers to format it.  If you say no, 
install continues.  Then in DiskDruid, that partition is STILL 
selected to be reformatted.  If you change the selection to Leave as 
is and exit DiskDruid, you receive an error box:

"Error: Informing the kernel about modifications to 
partition /dev/hda2 - Device or Resource Busy.

Click continue and a little while later, anaconda dies.  The 
abbreviated traceback is:

/usr/bin/anaconda line 1120 in ?
/usr/lib/anaconda/text.py line 474 in dispatch.gotoNext
                  dispatch.py line 236
                  packages.py line 527
                  partedUtils.py 697
...




Version-Release number of selected component (if applicable):

Fedora Core 1 Install Disk


How reproducible:


Steps to Reproduce:
1. Configure system with multiple OS (Solaris as /dev/hda2)
2. Start install of Fedora
3. Indicate NOT to reformat 'unformated swap partition' /dev/hda2
4. In disk druid, set file options 'leave unchanged' for /dev/hda2 
and /dev/hda15 for mount point / for Fedora
5. Bombs
  
Actual results:
Install fails


Expected results:
Install succeeds


Additional info:
Comment 1 Matt Wilson 2003-12-15 14:13:21 EST
can you record the entire traceback and post it here?
Comment 2 Burton Strauss 2003-12-15 17:47:26 EST
Nope - unfortunately, I worked around the problem by installing to an 
empty disk, and then ghosting that over.

However, I have to tell you, the only thing in that traceback was 
those .py scripts at those line #s.  No data, nothing...

-----Burton
Comment 3 Jeremy Katz 2004-06-25 15:31:41 EDT
Does this still happen wiht Fedora Core 2?
Comment 4 Jeremy Katz 2004-11-04 09:00:21 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.

Note You need to log in before you can comment on or make changes to this bug.